Skip to content

Retrieve an ACH payment intent by ID.

GET
/payments/ach/{id}
curl --request GET \
--url https://api.paygasus.com/payments/ach/ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV \
--header 'Authorization: Bearer <token>'
id
required
string
Example
ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV

ACH payment intent ID

Payment intent found

Media typeapplication/json
object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
description
string | null
id
required
string
livemode
required
boolean
metadata
required
object
key
additional properties
string
payment_method
required
object
account_holder_name
required
string
account_holder_type
required
string
Allowed values: personal business
account_last4
required
string
account_type
required
string
Allowed values: checking savings
routing_number
required
string
statement_descriptor
string | null
status
required
One of:

Draft, not yet submitted to FNBO.

object
status
required
string
Allowed values: created
updated
required
integer format: int64
Example
{
"amount": 1000,
"currency": "USD",
"id": "ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV",
"payment_method": {
"account_holder_name": "Jane Buyer",
"account_holder_type": "personal",
"account_last4": "6789",
"account_type": "checking",
"routing_number": "021000021"
},
"status": {
"status": "created"
}
}

No such payment intent

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"param": "example",
"type": "example"
}
}